VERSION 2.00
Begin Form FrmPlay 
   BackColor       =   &H00C0C0C0&
   Caption         =   "Spacoids from PC Answers"
   ClientHeight    =   6870
   ClientLeft      =   1530
   ClientTop       =   1800
   ClientWidth     =   6450
   Height          =   7275
   Icon            =   FRMPLAY.FRX:0000
   KeyPreview      =   -1  'True
   Left            =   1470
   LinkTopic       =   "Form1"
   ScaleHeight     =   6870
   ScaleWidth      =   6450
   Top             =   1455
   Width           =   6570
   Begin PictureBox BackDrop 
      BorderStyle     =   0  'None
      Height          =   6255
      Left            =   0
      Picture         =   FRMPLAY.FRX:0302
      ScaleHeight     =   6255
      ScaleWidth      =   6435
      TabIndex        =   2
      Top             =   0
      Width           =   6435
   End
   Begin CommandButton Button 
      Caption         =   "&Quit"
      Height          =   435
      Index           =   1
      Left            =   5040
      TabIndex        =   1
      Top             =   6360
      Width           =   1335
   End
   Begin CommandButton Button 
      Caption         =   "&Play"
      Height          =   435
      Index           =   0
      Left            =   60
      TabIndex        =   0
      Top             =   6360
      Width           =   1335
   End
End
Option Explicit

'*************************************************************************
'*                                                                       *
'*                Name: Button_Click                                     *
'*                Type: Event                                            *
'*                                                                       *
'*              Author: Chuck Pettitt                                    *
'*      Version Number: 1.00                                             *
'*    Date of Last Mod: 6 September 1995                                 *
'*      Reason for Mod: None                                             *
'*                                                                       *
'*             Purpose: To start the game.                               *
'*                                                                       *
'*    Passed variables: None                                             *
'*                                                                       *
'*  Returned variables: None                                             *
'*                                                                       *
'*               Notes: None                                             *
'*                                                                       *
'*************************************************************************
'*
Sub Button_Click (Index As Integer)

  Select Case Index
    Case 0:

'*
'* The 'Play' button has been pressed...
'*

      Initialise

    Case 1:

'*
'* The 'Quit' button has been pressed...
'*

      QuitRoutine True

  End Select


End Sub

'*************************************************************************
'*                                                                       *
'*                Name: Form_KeyPress                                    *
'*                Type: Event                                            *
'*                                                                       *
'*              Author: Chuck Pettitt                                    *
'*      Version Number: 1.00                                             *
'*    Date of Last Mod: 6 September 1995                                 *
'*      Reason for Mod: None                                             *
'*                                                                       *
'*             Purpose: To wait for a key to be pressed and then change  *
'*                      the direction of the appropriate Spacoid,        *
'*                                                                       *
'*    Passed variables: KeyAscii - The ASCII number of the key pressed   *
'*                                                                       *
'*  Returned variables: None                                             *
'*                                                                       *
'*               Notes: None                                             *
'*                                                                       *
'*************************************************************************
'*
Sub Form_KeyPress (KeyAscii As Integer)

'*
'* Check for key presses...
'*

  Select Case KeyAscii
    Case 39:

'*
'* the '@' was pressed. This is RIGHT for player 2 so modify the
'* direction variable...
'*

      Direction(2) = GORIGHT

    Case 46:

'*
'* the '>' was pressed. This is DOWN for player 2 so modify the
'* direction variable...
'*

      Direction(2) = GODOWN

    Case 97:

'*
'* the 'A' was pressed. This is LEFT for player 1 so modify the direction
'* variable...
'*

      Direction(1) = GOLEFT

    Case 100:

'*
'* the 'D' was pressed. This is RIGHT for player 1 so modify the
'* direction variable...
'*

      Direction(1) = GORIGHT

    Case 108:

'*
'* the 'L' was pressed. This is LEFT for player 2 so modify the direction
'* variable...
'*

      Direction(2) = GOLEFT

    Case 112:

'*
'* the 'P' was pressed. This is UP for player 2 so modify the direction
'* variable...
'*

      Direction(2) = GOUP

    Case 119:

'*
'* the 'W' was pressed. This is UP for player 1 so modify the direction
'* variable...
'*

      Direction(1) = GOUP

    Case 122:

'*
'* the 'Z' was pressed. This is DOWN for player 1 so modify the direction
'* variable...
'*

      Direction(1) = GODOWN

  End Select

End Sub

'*************************************************************************
'*                                                                       *
'*                Name: Form_Resize                                      *
'*                Type: Event                                            *
'*                                                                       *
'*              Author: Chuck Pettitt                                    *
'*      Version Number: 1.00                                             *
'*    Date of Last Mod: 6 September 1995                                 *
'*      Reason for Mod: None                                             *
'*                                                                       *
'*             Purpose: To reposition all components on the form when a  *
'*                      resize event occurs.                             *
'*                                                                       *
'*    Passed variables: None                                             *
'*                                                                       *
'*  Returned variables: None                                             *
'*                                                                       *
'*               Notes: None                                             *
'*                                                                       *
'*************************************************************************
'*
Sub Form_Resize ()

  Dim Count As Integer

'*
'* The minimum size of the form is 3250 x 3250 Twips...
'*

  If Me.Width > 3250 And Me.Height > 3250 Then

'*
'* always position the 'Play' button 150 Twips in from the left of the
'* form, the 'Quit' button 150 Twips from the right...
'*

    Me.Button(0).Left = 150
    Me.Button(1).Left = Me.ScaleWidth - (Me.Button(1).Width + 150)

'*
'* and both buttons 150 Twips up from the bottom...
'*

    For Count = 0 To 1
      Me.Button(Count).Top = Me.ScaleHeight - (Me.Button(Count).Height + 150)
    Next

'*
'* whilst the bottom of the backdrop is kept 150 Twips above the top of
'* the buttons.
'*

    Me.BackDrop.Width = Me.ScaleWidth
    Me.BackDrop.Height = Me.ScaleHeight - (Me.Button(0).Height + 300)

  End If

End Sub

